package com.jojubanking.boot.module.system.convert.xymain;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import com.jojubanking.boot.module.system.controller.admin.student.vo.StudentPageItemRespVO;
import com.jojubanking.boot.module.system.dal.dataobject.deptxq.DeptXqDO;
import com.jojubanking.boot.module.system.dal.dataobject.student.StudentDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.xymain.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.xymain.xyMainDO;

/**
 * 体检信息 Convert
 *
 * @author admin
 */
@Mapper
public interface xyMainConvert {

    xyMainConvert INSTANCE = Mappers.getMapper(xyMainConvert.class);

    xyMainDO convert(xyMainCreateReqVO bean);

    xyMainPageItemRespVO convert01(xyMainDO bean);

    xyMainPageItemRespVO.Dept convert(DeptXqDO bean);

    xyMainDO convert(xyMainUpdateReqVO bean);

//    xyMainRespVO convert(xyMainDO bean);

    List<xyMainRespVO> convertList(List<xyMainDO> list);

    PageResult<xyMainRespVO> convertPage(PageResult<xyMainDO> page);

    List<xyMainExcelVO> convertList02(List<xyMainDO> list);

//    xyMainExcelVO convertList03(xyMainDO bean);

}
